{% extends 'base.html.twig' %}

{% block stylesheets %}
<link rel="stylesheet" type="text/css" href="{{asset('css/animate.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('css/style.css')}}">

{% endblock %}


{% block body %}

<div id="contentbase">
    
</div>



<div id="backgroundp1" class="animated fadeInUp">
    <img id="imgp1" class="stretch" alt="" />

</div>
<div id="backgroundp2" class="animated fadeInDown">
    <img id="imgp2" class="stretch" alt="" />
</div>

<img class="placeTroops1">
    <div id="player1content">
    </div>

<img class="placeTroops2">
    <div id="player2content">
    </div>


<ul>
  <li id="dc"><a href="/disconnect/{{lobbyid}}">Disconnect</a></li>
</ul>


<div id="modalp1" class="modal"></div>
<div id="modalp2" class="modal"></div>
<div class="modalDc">
  <div id="contentdc" class="modalContent">
    
  </div>
</div>

<div id="containerSnackbar"></div>

<audio id="myAudio">
  <source src="{{asset('audio/audio2.mp3')}}" type="audio/mpeg">
</audio>{% endblock %}



{% block javascripts %}
<script type="text/javascript" src="{{asset('js/jquery.min.js')}}"></script>
<script type="text/javascript" src="{{asset('js/responsivevoice.js')}}"></script>

<script type="text/javascript">
var myAudio = document.getElementById("myAudio"); 
myAudio.addEventListener('ended', function() {
    this.currentTime = 0;
    this.play();
}, false);
myAudio.play();

   var countp1 = 10 ;
    var countTroopsp1 = 0;
    var countp2 = 10 ;
    var countTroopsp2 = 0;
    var ifreadyp1 = 0;
    var ifreadyp2 = 0;


    var ignp1 = "{{ignp1|raw}}";
    var ignp2 = "{{ignp2|raw}}";
    
    var bg1 = ["{{asset('images/bgblueleft.png')}}","{{asset('images/bgblueright.png')}}"];
    var bg2 = ["{{asset('images/bgmetalleft.png')}}","{{asset('images/bgmetalright.png')}}"];
    var bg3 = ["{{asset('images/bgorangeleft.png')}}","{{asset('images/bgorangeright.png')}}"];
    var bg4 = ["{{asset('images/bgredleft.png')}}","{{asset('images/bgredright.png')}}"];
    var userbg = "{{field}}";
    if(userbg == 1){
      $('#imgp1').attr('src',bg1[0]);
      $('#imgp2').attr('src',bg1[1]);
    }
    else if(userbg == 2){
      $('#imgp1').attr('src',bg2[0]);
      $('#imgp2').attr('src',bg2[1]);  
    }
    else if(userbg == 3){
      $('#imgp1').attr('src',bg3[0]);
      $('#imgp2').attr('src',bg3[1]);  
    }
    else if(userbg == 4){
      $('#imgp1').attr('src',bg4[0]);
      $('#imgp2').attr('src',bg4[1]);  
    }
 /*   setTimeout(function(){
        $('#contentbase').html(
        '<div class="plbase animated bounceInLeft">'+
            '<img id="basep1" src="../images/thunder.png"/>'+
        '</div>'+
        '<div class="p2base animated bounceInRight">'+
            '<img id="basep2" src="../images/heart.png"/>'+
        '</div>'
        );
    },1000);
*/


var img = '{{asset(img)}}';

$('#imgp1').click(function(){
    $('#containerSnackbar').html('<div id="snackbar"><div id="warning" style="color: white;background:red;padding: 20px; border:2px solid white; border-radius: 10px;">Your can\'t place troops at that position</div></div>');
   $('#modalp1').css({'display':'block','left':'0px'});
    $('#modalp1').html(
    '<div class="modalContent animated fadeIn"><div>Place your troops inside the white border</div></div>'
    );      
responsiveVoice.speak("Place your troops inside the white border");
    $('.placeTroops1').addClass('animated flash infinite');
   setTimeout(function(){
    $('#containerSnackbar').html('');
    $('#modalp1').css({'display':'none'});
    $('#modalp1').html('');
    $('.placeTroops1').removeClass('animated flash infinite');
  
  },4000);
});
$('#imgp2').click(function(){
    $('#containerSnackbar').html('<div id="snackbar"><div id="warning" style="color: white;background:red;padding: 20px; border:2px solid white; border-radius: 10px;">Your can\'t place troops at that position</div></div>');
   $('#modalp2').css({'display':'block','right':'0px'});
    $('#modalp2').html(
    '<div class="modalContent animated fadeIn"><div>Place your troops inside the white border</div></div>'
    );      
  $('.placeTroops2').addClass('animated flash infinite');
  responsiveVoice.speak("Place your troops inside the white border");
  
   setTimeout(function(){
    $('#containerSnackbar').html('');
    $('#modalp2').css({'display':'none'});
    $('#modalp2').html('');
    $('.placeTroops2').removeClass('animated flash infinite');
  
  },4000);

    
});

if("{{playertype}}" == "p1"){
    $('#dc').css('float','left');
    $('.placeTroops2').remove();
   setPlayer1(); 
   
 setTimeout(function(){
    $('#modalp2').addClass('animated fadeIn');
    $('#modalp2').css({'display':'block','right':'0px'});
    $('#modalp2').html(
    '<div class="modalContent animated fadeIn"><div class="animated zoomInDown">'+ignp2+' placing the Troops!</div></div>'
    );
      $('#modalp1').addClass('animated fadeIn');
      $('#modalp1').css({'display':'block','left':'0px'});
      $('#modalp1').html(
      '<div class="modalContent animated fadeIn" style="font-size:15px;background:green;"><div>Place your troops inside the white border</div></div>'
      );
          responsiveVoice.speak("Place your troops inside the white border");

    },1000);

     setTimeout(function(){
      $('#modalp1').css({'display':'none'});
    },5000);
}
else{
      $('#dc').css('float','right');
         $('.placeTroops1').remove();
 
    setPlayer2();
    setTimeout(function(){
    $('#modalp1').addClass('animated fadeIn');
    $('#modalp1').css({'display':'block','left':'0px'});
    $('#modalp1').html(
    '<div class="modalContent animated fadeIn"><div class="animated zoomInDown">'+ignp1+' placing the Troops!</div></div>'
    );
      $('#modalp2').addClass('animated fadeIn');
      $('#modalp2').css({'display':'block','right':'0px'});
      $('#modalp2').html(
      '<div class="modalContent animated fadeIn" style="font-size:15px;background:green;"><div>Place your troops inside the white border</div></div>'
      );
      responsiveVoice.speak("Place your troops inside the white border");
    },1000);

    setTimeout(function(){
      $('#modalp2').css({'display':'none'});
    },5000);
}

function setPlayer1(){
$(".placeTroops1").click(function(e) {
    var offset = $(this).offset();

    
  if(countTroopsp1==countp1){ 
        $('#modalp1').css({'display':'block','left':'0px'});
    }
    else{
    $('#player1content').html(
      $('#player1content').html()+
        '<div id="divp1'+countTroopsp1+'" data-top="'+(e.clientY-30)+'" data-left="'+(e.clientX-30)+'" data-closebtn="'+(e.clientX-40)+'"><button id="'+countTroopsp1+'" onclick="removeTroopsp1(this)" style="position:absolute; top:'+(e.clientY-30)+'px; left:'+(e.clientX-40)+'px;" class="removeTroops">&times;</button>'+
      '<img src=" ' + img + '" style="position:absolute; top:'+(e.clientY-30)+'px; left:'+(e.clientX-30)+'px;"/></div>'
    );
    countTroopsp1++;
    console.log(countTroopsp1);

        if(countTroopsp1==countp1){ 
        $('#modalp1').css({'display':'block','left':'0px'});
        $('#modalp1').html(
        '<div id="snackbar">'+
        '<button class="afterPlacing animated rotateIn" onclick="Savep1()">Save</button>'+
        '<button class="afterPlacing animated rotateIn" onclick="Changep1()">Change Place</button>'+
        '</div>'
        );
        }
  }
  });
}

function setPlayer2(){
$(".placeTroops2").click(function(e) {
    var offset = $(this).offset();

    if(countTroopsp2==countp2){ 
      $('#modalp2').css({'display':'block','right':'0px'});
    }
    else{
    $('#player2content').html(
        $('#player2content').html()+
        '<div id="divp2'+countTroopsp2+'" data-top="'+(e.clientY-30)+'" data-left="'+(e.clientX-30)+'" data-closebtn="'+(e.clientX-40)+'"><button id="'+countTroopsp2+'" onclick="removeTroopsp2(this)" style="position:fixed; top:'+(e.clientY-30)+'px; left:'+(e.clientX-40)+'px;" class="removeTroops">&times;</button>'+
        '<img src=" ' + img + '" style="position:fixed; top:'+(e.clientY-30)+'px; left:'+(e.clientX-30)+'px;"/></div>'
    );
    countTroopsp2++;
        console.log(countTroopsp2);

    }
        if(countTroopsp2==countp2){ 
        $('#modalp2').css({'display':'block','right':'0px'});
        $('#modalp2').html(
        '<div id="snackbar">'+
        '<button class="afterPlacing animated rotateIn" onclick="Savep2()">Save</button>'+
        '<button class="afterPlacing animated rotateIn" onclick="Changep2()">Change Place</button>'+
        '</div>'
        );
        }
  });
}

function removeTroopsp1(element){
    $('#divp1'+element.id).remove();
    countp1++;
}

function removeTroopsp2(element){
    $('#divp2'+element.id).remove();
    countp2++;
}


function Savep1(){
    var data ="";
    $('#player1content').find('div').each(function() {
        data += $(this).attr('data-top') +" "+$(this).attr('data-left')+" "+$(this).attr('data-closebtn') +":";
    });

        $.ajax({
          url: '/sendplayerdata',
          type: 'POST',
          dataType: 'json',
          data: {
            'data' : data,
            'type' : "p1",
            'LobbyID' : "{{lobbyid}}"
          },
          success: function(data){
            ifreadyp1 = 1;
            $('#modalp1').html(
            '<div class="modalContent animated fadeIn">'+
            '<div class="animated zoomInDown">Waiting for your opponent</div>'+
            '</div>'
            );
            responsiveVoice.speak("Waiting for your opponent");
          },
          error: function(xhr,status,error){
           // alert(xhr.responseText);
          }
        });

}
function Savep2(){
    var data ="";
    $('#player2content').find('div').each(function() {
        data += $(this).attr('data-top') +" "+$(this).attr('data-left')+" "+$(this).attr('data-closebtn') +":";
    });
    
        $.ajax({
          url: '/sendplayerdata',
          type: 'POST',
          dataType: 'json',
          data: {
            'data' : data,
            'type' : "p2",
            'LobbyID' : "{{lobbyid}}"
          },
          success: function(data){
            ifreadyp2 = 1;
            $('#modalp2').html(
            '<div class="modalContent animated fadeIn">'+
            '<div class="animated zoomInDown">Waiting for your opponent</div>'+
            '</div>'
            );
          },
          error: function(xhr,status,error){
            //alert(xhr.responseText);
          }
        });
}

function Changep1(){
    $('#modalp1').css('display','none');
}
function Changep2(){
    $('#modalp2').css('display','none');
}


var check = setInterval(checkIfReady,2000);

function checkIfReady(){
       $.ajax({
          url: '/checkifready',
          type: 'POST',
          dataType: 'json',
          data: {
            'LobbyID' : "{{lobbyid}}"
          },
          success: function(data){
            if(data=="Ready"){
                //alert('dasdas');
            $('#modalp1').addClass('animated fadeOutDown');
            $('#modalp2').addClass('animated fadeOutUp');
            $('#basep1').addClass('animated fadeOutLeft');
            $('#basep2').addClass('animated fadeOutRight');
            $('#backgroundp1').addClass('animated fadeOutDown');
            $('#backgroundp2').addClass('animated fadeOutUp');
            $('#player1content').remove();
            $('#player2content').remove();
            $('.placeTroops1').remove();
            $('.placeTroops2').remove();
            clearInterval(check);
            setTimeout(function(){
                window.location.replace('/game');
            },2000);
           }  
          },
          error: function(xhr,status,error){
           // alert(xhr.responseText);
          }
        });
}


function gotolobby(){
  window.location.replace('/lobby');
}

var checkifdisconnected = setInterval(checkisdc,2000);
function checkisdc(){
          $.ajax({
          url: '/checkifdisconnected',
          type: 'POST',
          dataType: 'json',
          data: {
            'LobbyID' : "{{lobbyid}}",
            
          },
          success: function(data){
            if(data == true){

              clearInterval(checkifdisconnected);    
                $('.modalDc').css('display','block');
                $('#contentdc').html('Opponent Disconnect!<br><button class="backtolobby" onclick="gotolobby()">back to lobby</button>');
                responsiveVoice.speak("Opponent Disconnect");
            }
          },
          error: function(xhr,status,error){
          //  alert(xhr.responseText);
          }
        });

}



disable();
function disable(){
   $(window).on('keydown',function(event)
    {
    if(event.keyCode==123)
    {
        //alert('Entered F12');
        return false;
    }
    else if(event.keyCode == 116){
     return false;
   }
    else if(event.ctrlKey && event.keyCode == 116){
     return false;
   }
    else if(event.keyCode == 122){
        //f11
        return false;
   }
    else if(event.ctrlKey && event.shiftKey && event.keyCode==73)
    {
        //alert('Entered ctrl+shift+i');
        return false;  //Prevent from ctrl+shift+i
    }
    else if(event.ctrlKey && event.keyCode==73)
    {
        //alert('Entered ctrl+shift+i');
        return false;  //Prevent from ctrl+shift+i
    }
});
}

$(document).on("contextmenu",function(e)
{
//alert('Right Click Not Allowed');
e.preventDefault();
});
  /*
    alert(e.clientX);
    alert(e.clientY);
    alert(offset.left);
    alert(offset.top);
    alert(e.clientX - offset.left);
    alert(e.clientY - offset.top);
*/
    


/*
$('#background').mouseenter(function(){ 
  $('#img1').css('display','block');
});

$('#background').mouseleave(function(){ 
    $('#img1').css('display','none');
});

$("#background").mousemove(function(event) {
  $('#img1').css('left',event.pageX-20);
  $('#img1').css('top',event.pageY-20);
});

*/


/*
if( window.innerHeight == screen.height) {
//    alert(window.innerHeight);
//    alert(screen.height);
}

   $(window).on('keydown',function(event)
    {
    if(event.keyCode==123)
    {
        //alert('Entered F12');
        return false;
    }
   // else if(event.keyCode == 122){
        //f11
    //    return false;
   //}
    else if(event.ctrlKey && event.shiftKey && event.keyCode==73)
    {
        //alert('Entered ctrl+shift+i');
        return false;  //Prevent from ctrl+shift+i
    }
    else if(event.ctrlKey && event.keyCode==73)
    {
        //alert('Entered ctrl+shift+i');
        return false;  //Prevent from ctrl+shift+i
    }
});
$(document).on("contextmenu",function(e)
{
//alert('Right Click Not Allowed');
e.preventDefault();
});*/

</script>

{% endblock %}
